<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>9 Green tea landing page</title>
    <link rel="stylesheet" href="style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Jost&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Kaisei+Decol&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Italiana&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
</head>

<body>
    <div class="container-fluid">
        <div class="header">
            <div class="logo-and-name">
                <img class="logo" src="images/logo.png" alt="">
                <p class="name">Teanologi</p>
            </div>
            <div class="menu">
                <a href="">Home</a>
                <a href="">About Us</a>
                <a href="">Product</a>
                <a href="">Contact</a>
            </div>
        </div>
        <div class="about-us">
            <div class="tea"></div>
            <div class="about-us-content">
                <div class="about-us-title">Home Made</div>
                <div class="about-us-des">Kamus Bahasa Inggris Indonesia ini merupakan Kamus Online yang dibuat untuk
                    memudahkan pencarian, penggunaan dan pembacaan arti kata.</div>
            </div>
        </div>
        <div class="products">
            <div class="product-title">
                <p>Pilihan dari yang Terbaik</p>
            </div>
            <div class="all-product">
                <div class="product">
                    <img src="images/product-1.png" alt="">
                    <p class="product-name">Stevia</p>
                    <p class="product-des">Stevia adalah sebuah genus dari sekitar 240 spesies dari ramuan dan semak
                        dalam keluarga bunga matahari, asli subtropis dan daerah tropis dari barat Amerika Utara ke
                        Amerika Selatan.</p>
                </div>
                <div class="product">
                    <img src="images/product-2.png" alt="">
                    <p class="product-name">Chamomile</p>
                    <p class="product-des">Chamomile adalah tumbuhan semusim dari keluarga bunga Matahari Asteraceae.
                        Tanaman ini tumbuh di seluruh wilayah Eropa, wilayah Asia yang memiliki 4 musim. Kamomil juga
                        telah tersebar luas di Amerika Utara dan Australia oleh manusia.</p>
                </div>
                <div class="product">
                    <img src="images/product-3.png" alt="">
                    <p class="product-name">Teh Hijau</p>
                    <p class="product-des">Teh hijau adalah nama teh yang dibuat dari daun tanaman teh yang dipetik dan
                        mengalami proses pemanasan untuk mencegah oksidasi, atau bisa juga berarti minuman yang
                        dihasilkan dari menyeduh daun teh tersebut.</p>
                </div>
                <div class="product">
                    <img src="images/product-4.png" alt="">
                    <p class="product-name">Hibiscus</p>
                    <p class="product-des">Teh kembang sepatu adalah teh herbal yang dibuat sebagai infus dari kelopak
                        bunga rosella berwarna merah tua atau magenta. Itu dikonsumsi baik panas maupun dingin. </p>
                </div>
            </div>
        </div>
        <div class="discount">
            <div class="discount-content">
                <div class="discount-title">45 % OFF In Appril 2022 </div>
                <div class="discount-des">Get your coupon and enjoy the discount. terms and Conditions applyu </div>
                <button class="discount-button-contact">Contact now</button>
            </div>
            <div class="another-tea"></div>
        </div>
        <div class="contact">
            <div class="contact-form">
                <div class="contact-title">
                    <p>CONTACT</p>
                </div>
                <div class="contact-input">
                    <input type="text" placeholder="Name" id="inp-name">
                </div>
                <div class="contact-input">
                    <input type="email" placeholder="Email" id="inp-email">
                </div>
                <div class="contact-message">
                    <textarea name="message" id="txt-message" cols="30" rows="10" placeholder="Message"></textarea>
                </div>
                <div class="contact-send">
                    <button type="submit" onclick="onBtnContactClick()">SEND</button>
                </div>
            </div>
        </div>
        <div class="footer">
            <div class="logo-and-name">
                <img class="logo" src="images/logo.png" alt="">
                <p class="name">Teanologi</p>
            </div>
            <div class="social-network">
                <img src="images/facebook.png" alt="">
                <img src="images/instagram.png" alt="">
                <img src="images/twitter.png" alt="">
            </div>
            <div class="menu-footer">
                <a href="">Home</a>
                <a href="">About Us</a>
                <a href="">Product</a>
                <a href="">Contact</a>
            </div>
        </div>
    </div>
</body>

<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    const gREQUEST_DELETE_SUCCESS = 204; // status 204 - Xóa thành công
    const gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1/";

    var gUserContactObj = {
        name : "",
        email : "",
        message : "",
        createDate : "",
    }
    
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnContactClick(){
        //b1 thu thap du lieu input
        readDataInput(gUserContactObj)
        console.log(gUserContactObj);
        //b2 validate du lieu
        var vCheck = validateDataContact(gUserContactObj);
        console.log(vCheck);
        if(vCheck == true){
            //b3 call API
            var vXmlHttpContact = new XMLHttpRequest();
            callApiCreateContact(vXmlHttpContact,gUserContactObj);
            vXmlHttpContact.onreadystatechange = function(){
                if(this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS){
                    var vContactInfo = vXmlHttpContact.responseText;
                    console.log(vContactInfo);
                    displayData(vContactInfo);
                }
            }
        }

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getDateToday() {
        var vToday = new Date();
        var vDay = vToday.getDate();
        var vMonth = vToday.getMonth() + 1;
        var vYear = vToday.getFullYear();
        var vTime = vToday.getHours() + ":" + vToday.getMinutes();
        if (vDay < 10) {
            vDay = '0' + vDay;
        }
        if (vMonth < 10) {
            vMonth = '0' + vMonth;
        }
        vToday = vDay + '/' + vMonth + '/' + vYear + " " + vTime;
        return vToday;
    }

    function validateEmail(paramEmail) {
        var vRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        if (paramEmail.match(vRegex)) {
            return true;
        }
        else
            return false;
    }

    function readDataInput(paramContact) {
        var vNameInputElement = document.getElementById("inp-name");
        var vEmailInputElement = document.getElementById("inp-email");
        var vMessageTextareaElement = document.getElementById("txt-message");
        
        paramContact.name = vNameInputElement.value.trim();
        paramContact.email = vEmailInputElement.value.trim();
        paramContact.message = vMessageTextareaElement.value.trim();
        paramContact.createDate = getDateToday();
    }

    function validateDataContact(paramContact) {
        if (paramContact.name == "") {
            alert("Bạn chưa nhập tên!");
            return false;
        }
        if (paramContact.email == "") {
            alert("Bạn chưa nhập email!");
            return false;
        }
        if (validateEmail(paramContact.email) == false) {
            alert("Email sai định dạng!");
            return false;
        }
        if (paramContact.message == "") {
            alert("Bạn chưa nhập lời nhắn!");
            return false;
        }
        
        return true;
    }

    function callApiCreateContact(paramXmlHttpCreateContact,paramContactObject) {
        const vAPI_URL = gBASE_URL + "/contacts";
        paramXmlHttpCreateContact.open("POST", vAPI_URL, true);
        paramXmlHttpCreateContact.setRequestHeader("Content-Type", "application/json");
        paramXmlHttpCreateContact.send(JSON.stringify(paramContactObject));
    }

    function displayData(paramXmlHttpCreateContact) {
        "use strict";
        console.log(paramXmlHttpCreateContact);
        alert("Tạo Contact user mới thành công");
    }
</script>

</html>